Debian Bug report logs - #467658
libarchive-ar-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libarchive-ar-perl; Maintainer for libarchive-ar-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libarchive-ar-perl is src:libarchive-ar-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 18:54:05 UTC

Severity: important

Tags: patch

Found in version libarchive-ar-perl/1.13b-1

Fixed in version libarchive-ar-perl/1.13b-1.1

Done: Stephen Gran <sgran@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <rafl@debian.org>:
Bug#467658; Package libarchive-ar-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libarchive-ar-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 20:51:18 +0200
Package: libarchive-ar-perl
Version: 1.13b-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467658; Package libarchive-ar-perl. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 467658@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467658@bugs.debian.org
Subject: libarchive-ar-perl: diff for NMU version 1.13b-1.1
Date: Sat, 5 Apr 2008 12:36:35 +0100
[Message part 1 (text/plain, inline)]
tags 467658 + patch
thanks

Hi,

Attached is the diff for my libarchive-ar-perl 1.13b-1.1 NMU.

Cheers,
-- 
 -----------------------------------------------------------------
|   ,''`.                                            Stephen Gran |
|  : :' :                                        sgran@debian.org |
|  `. `'                        Debian user, admin, and developer |
|    `-                                     http://www.debian.org |
 -----------------------------------------------------------------
[libarchive-ar-perl-1.13b-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Stephen Gran <sgran@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 11:39:14 GMT) Full text and rfc822 format available.

Reply sent to Stephen Gran <sgran@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467658-close@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: 467658-close@bugs.debian.org
Subject: Bug#467658: fixed in libarchive-ar-perl 1.13b-1.1
Date: Sat, 05 Apr 2008 11:47:08 +0000
Source: libarchive-ar-perl
Source-Version: 1.13b-1.1

We believe that the bug you reported is fixed in the latest version of
libarchive-ar-perl, which is due to be installed in the Debian FTP archive:

libarchive-ar-perl_1.13b-1.1.diff.gz
  to pool/main/liba/libarchive-ar-perl/libarchive-ar-perl_1.13b-1.1.diff.gz
libarchive-ar-perl_1.13b-1.1.dsc
  to pool/main/liba/libarchive-ar-perl/libarchive-ar-perl_1.13b-1.1.dsc
libarchive-ar-perl_1.13b-1.1_all.deb
  to pool/main/liba/libarchive-ar-perl/libarchive-ar-perl_1.13b-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467658@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stephen Gran <sgran@debian.org> (supplier of updated libarchive-ar-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 12:35:47 +0100
Source: libarchive-ar-perl
Binary: libarchive-ar-perl
Architecture: source all
Version: 1.13b-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Stephen Gran <sgran@debian.org>
Description: 
 libarchive-ar-perl - perl interface for manipulating ar archives
Closes: 467658
Changes: 
 libarchive-ar-perl (1.13b-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Conditionally remove /usr/lib/perl5 (closes: #467658)
   * Correct typo (debian -> Debian) in debian/control
Files: 
 cf96ac8086f13d458eb47d525058f61a 671 perl optional libarchive-ar-perl_1.13b-1.1.dsc
 3bdd1c2e2798931b600a009b56c3e4a2 1655 perl optional libarchive-ar-perl_1.13b-1.1.diff.gz
 e0ce833755ef483c18b39f6ee962694e 13402 perl optional libarchive-ar-perl_1.13b-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH92QsSYIMHOpZA44RAtotAKCcTDa5BOM/GlabIyWebQXyiql7EwCfaAPD
/om0m6ytmePb2Px+HZF9YCo=
=ZaIB
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 May 2008 07:36:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:52:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.